## org.hibernate.event
Class PostUpdateEvent

    java.lang.Object
      org.hibernate.event.AbstractEvent
          org.hibernate.event.PostUpdateEvent

All Implemented Interfaces:
  Serializable

    public class PostUpdateEvent

extends AbstractEvent

Occurs after the datastore is updated

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`PostUpdateEvent(Object entity, Serializable id, Object[] state, Object[] oldState, int[] dirtyProperties, EntityPersister persister, EventSource source)`

Method Summary
`int[]` `getDirtyProperties()`
`Object` `getEntity()`
`Serializable` `getId()`
`Object[]` `getOldState()`
`EntityPersister` `getPersister()`
`Object[]` `getState()`

Methods inherited from class org.hibernate.event.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostUpdateEvent

    public PostUpdateEvent(Object entity,
                           Serializable id,
                           Object[] state,
                           Object[] oldState,
                           int[] dirtyProperties,
                           EntityPersister persister,
                           EventSource source)

Method Detail

### getEntity

    public Object getEntity()

### getId

    public Serializable getId()

### getOldState

    public Object[] getOldState()

### getPersister

    public EntityPersister getPersister()

### getState

    public Object[] getState()

### getDirtyProperties

    public int[] getDirtyProperties()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.